﻿@using SSCMvc.Webutil;
@using SSCMvc.Models;
@using System.Web.UI.WebControls;
@model SSCMvc.Models.Tb_StudentTransfer
@{
    ViewBag.Title = "Create";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
@section scripts{
    <script src="@Url.Content("~/Scripts/jquery.validate.min.js")" type="text/javascript"></script>
    <script src="@Url.Content("~/Scripts/jquery.validate.unobtrusive.min.js")" type="text/javascript"></script>
    @Content.Script("AutoComplete-Ui.min.js", Url)
    <script type="text/javascript">
        $(document).ready(function () {

            $('.ui-autocomplete-input').val('');
            $(".ui-combobox").find('a').append('<span class="ui-button-icon-primary ui-icon ui-icon-triangle-1-s"></span> <span class="ui-button-text"></span>').addClass('ui-button ui-widget ui-state-default ui-button-icon-only ui-corner-right ui-combobox-toggle');

        });

        $(function () {

            $("#combobox").combobox({

                selected: function (event, ui) {

                    GetAdmissionData($(this).val());
                }
            });

        });

        function GetAdmissionData(stuid) {
            var airurl = "/Tb_StudentTransfer/GetStudentData/" ;
            $.getJSON(airurl, { admid: stuid },
   function (modelData) {




       $("#fname").val(modelData['Father']);
       $("#dob").val(modelData['DOB']);

       $("#mobile").val(modelData['Mobile']);
       $("#coursebox").val(modelData['CName']);



   });
}


        $("#BranchTo").change(function () {
           
            var stuid = $("#BranchTo").val();
            $.getJSON("/Tb_StudentTransfer/GetUsersByBranch", { id:stuid },
   function (modelData) {

       var select = $("#TransferTo");

       select.empty();
       select.append($('<option/>', {
           value: 0,
           text: "Select a User"
       }));
       $.each(modelData, function (index, itemData) {


           select.append($('<option/>', {

               value: itemData.Value,
               text: itemData.Text,



           }));
       });
   });
   });

    </script>
}
@using (Html.BeginForm())
{
    @Html.ValidationSummary(true)

    <div class="header">
        <div class="stats">
        </div>
        <h1 class="page-title">
            Transfer Student</h1>
    </div>
    <ul class="breadcrumb">
        @{string utype = Request.Cookies[CommonUtil.CookieUsertype].Value;
          string refadd = CommonUtil.HomeAddress(utype);
        }
        <li><a href="@refadd">Home</a> <span class="divider">/</span></li>
        <li class="active">Dashboard</li>
    </ul>
    
    <div class="container-fluid">
        <div class="row-fluid">
            <div class="btn-toolbar">
                <input type="submit" value="Save" class="btn btn-primary" />
                <input type="reset" value="Cancel" class="btn btn-primary" id="btnCancel" />
                <div class="btn-group">
                </div>
            </div>
            <div class="well">
                <table width="750px" align="center">
                    <tr>
                        <td>
                            <fieldset>
                                <legend>Student Detail</legend>
                                <table width="100%" align="center">
                                    <tr>
                                        <td width="150px">
                                            <table>
                                                <tr>
                                                    <td>@Html.LabelFor(model => model.StudentId, "Student Name")
                                                    </td>
                                                    <td>
                                                        <span class="color_style">*</span>
                                                    </td>
                                                </tr>
                                            </table>
                                        </td>
                                        <td class="ui-widget">
                                            @Html.DropDownList("StudentId", null, new { @id = "combobox" })
                                            @Html.ValidationMessageFor(model => model.StudentId)
                                        </td>
                                        <td width="50px">
                                        </td>
                                        <td align="left">
                                            Father Name
                                        </td>
                                        <td align="left">
                                            <input type="text" disabled="disabled" id="fname" />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td align="left">
                                            Course
                                        </td>
                                        <td align="left">
                                            <input type="text" disabled="disabled" id="coursebox" />
                                            @*  <input type="text" disabled="disabled" id="dob" />*@
                                        </td>
                                        <td width="50px">
                                        </td>
                                        <td width="150px">
                                            Mobile
                                        </td>
                                        <td class="ui-widget">
                                            <input type="text" disabled="disabled" id="mobile" />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td align="left">
                                            DOB
                                        </td>
                                        <td align="left">
                                            <input type="text" disabled="disabled" id="dob" />
                                        </td>
                                        <td width="50px">
                                        </td>
                                        <td width="150px">
                                        </td>
                                        <td class="ui-widget">
                                        </td>
                                    </tr>
                                </table>
                            </fieldset>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <fieldset>
                                <legend>Transfer Detail</legend>
                                <table width="100%" align="center">
                                    <tr>
                                        <td width="150px">
                                            Branch To
                                        </td>
                                        <td class="ui-widget">
                                            @Html.DropDownList("BranchTo", "Select Branch")
                                            @Html.ValidationMessageFor(model => model.BranchTo)
                                        </td>
                                        <td width="50px">
                                        </td>
                                        <td align="left">
                                            Branch From
                                        </td>
                                        <td align="left">
                                            @ViewBag.BranchName
                                        </td>
                                    </tr>
                                    <tr>
                                        <td align="left">
                                            Transfer To User
                                        </td>
                                        <td align="left">
                                            @Html.DropDownList("TransferTo", String.Empty)
                                            @Html.ValidationMessageFor(model => model.TransferTo)
                                        </td>
                                        <td width="50px">
                                        </td>
                                        <td width="150px">
                                            Transfer By User
                                        </td>
                                        <td class="ui-widget">
                                            @Html.DropDownList("TransferBy", String.Empty)
                                            @Html.ValidationMessageFor(model => model.TransferBy)
                                        </td>
                                    </tr>
                                    <tr>
                                        <td align="left">
                                            Transfer Status
                                        </td>
                                        <td align="left">
                                            @{
          var liTimeSlot = new List<ListItem>();
          liTimeSlot.Add(new ListItem { Text = "Open", Value = "Open" });
          liTimeSlot.Add(new ListItem { Text = "Approved", Value = "Approved" });

                                            }
                                            @Html.DropDownListFor(model => model.TransStatus, new SelectList(liTimeSlot))
                                            @Html.ValidationMessageFor(model => model.TransStatus)
                                        </td>
                                        <td width="50px">
                                        </td>
                                        <td width="150px">
                                            Remarks
                                        </td>
                                        <td class="ui-widget">
                                            @Html.EditorFor(model => model.Remarks)
                                            @Html.ValidationMessageFor(model => model.Remarks)
                                        </td>
                                    </tr>
                                </table>
                            </fieldset>
                        </td>
                    </tr>
                </table>
            </div>
            <footer>
                <hr>

                <p class="pull-right">
                    <a href="#" target="_blank"></a><a href="#" target="_blank">

                        @Html.ActionLink("Back to List", "Index")

                    </a>
                </p>
            </footer>
        </div>
    </div>
}
